[R-SIG-Mac] update R from 2.2 to 2.4

Simon Urbanek simon.urbanek at r-project.org
Thu Oct 12 19:46:34 CEST 2006


On Oct 12, 2006, at 1:31 PM, massimodisasha wrote:

> hi,
> i've R-2.2 on my osx.
> i istalled a large number of source-packages in the "r.framework  
> level"
> now i want update to R-2.4
> can i use the packages already installed on my system ?
> or i must reinstall all the packages?
> thanks for any suggestion :-)

You must re-install them, but it's reasonably easy (after you  
installed R 2.4.0): Open the R.app GUI, go to menu "Packages & Data" - 
 > "Package Installer". Now click on "Get List", wait till you get  
the list. Click on the magnifying glass in the "Package Search" field  
and select "Select packages from R 2.2". Finally, press "Install  
Selected". If you use Bioconductor, you may want to repeat the same  
procedure but first selecting "BioConductor (binaries)" repository on  


More information about the R-SIG-Mac mailing list